#!/usr/bin/env julia
# A wrapper script to start a Persefone simulation and do a profiling run
# (https://docs.julialang.org/en/v1/stdlib/Profile/).

using Pkg
Pkg.activate(".")
using Persefone

using Profile
Profile.clear()

@profile simulate()

open("profile_results/profile_flat.txt", "w") do s
    Profile.print(IOContext(s, :displaysize=>(300,145)), format=:flat, mincount=10, sortedby=:count)
end

open("profile_results/profile_tree.txt", "w") do s
    Profile.print(IOContext(s, :displaysize=>(300,300)), mincount=10)
end


